###  | #  |

Public Types | List of all members
channel_mapping_type< planar_pixel_reference< ChannelReference, ColorSpace > > Struct Template Reference
Pixel » Models » planar_pixel_reference

Specifies the color space type of a planar pixel reference. Required by PixelBasedConcept. More...

`#include <planar_pixel_reference.hpp>`

## Public Types
using | type = typename layout< ColorSpace >::channel_mapping_t

## Detailed Description

template<typename ChannelReference, typename ColorSpace>
struct boost::gil::channel_mapping_type< planar_pixel_reference< ChannelReference, ColorSpace > >

Specifies the color space type of a planar pixel reference. Required by PixelBasedConcept.

The documentation for this struct was generated from the following file:

- planar_pixel_reference.hpp